<div class="row justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-order-line-heading" data-cy="OrderLineCreateUpdateHeading" jhiTranslate="ltnAppApp.orderLine.home.createOrEditLabel">
        Create or edit a Order Line
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group" [hidden]="editForm.get('id')!.value == null">
          <label class="form-control-label" jhiTranslate="ltnAppApp.orderLine.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="ltnAppApp.orderLine.quantity" for="field_quantity">Quantity</label>
          <input type="number" class="form-control" name="quantity" id="field_quantity" data-cy="quantity" formControlName="quantity" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="ltnAppApp.orderLine.price" for="field_price">Price</label>
          <input type="number" class="form-control" name="price" id="field_price" data-cy="price" formControlName="price" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="ltnAppApp.orderLine.parent" for="field_parent">Parent</label>
          <select class="form-control" id="field_parent" data-cy="parent" name="parent" formControlName="parent">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="orderOption.id === editForm.get('parent')!.value?.id ? editForm.get('parent')!.value : orderOption"
              *ngFor="let orderOption of ordersSharedCollection; trackBy: trackOrderById"
            >
              {{ orderOption.id }}
            </option>
          </select>
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="ltnAppApp.orderLine.product" for="field_product">Product</label>
          <select class="form-control" id="field_product" data-cy="product" name="product" formControlName="product">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="productOption.id === editForm.get('product')!.value?.id ? editForm.get('product')!.value : productOption"
              *ngFor="let productOption of productsSharedCollection; trackBy: trackProductById"
            >
              {{ productOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
